Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jws
Interface ServiceClient

All Superinterfaces:
  Annotation

public interface ServiceClient
extends Annotation

This is an annotation that you can place on a stub that's used within a JWS. By placing this annotation, the container will perform dependency injection to the stub which allows you to use advanced features such as reliable messaging, conversational invoke and asynchronous invokes.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `endpointAddress()` The endpoint address that this stub is supposed to be calling.
`String` | `portName()` The port name that this stub points to.
`String` | `serviceName()` The service name that this stub points to.
`String` | `wsdlLocation()` The wsdl location that this stub points to.

Methods inherited from interface java.lang.annotation.Annotation
`annotationType, equals, hashCode, toString`

Method Detail

### endpointAddress

    public String endpointAddress()

  The endpoint address that this stub is supposed to be calling. If leave blank, the runtime will use the address specified in the wsdl.

### portName

    public String portName()

  The port name that this stub points to. If there is only one port, this attribute is optional.

### serviceName

    public String serviceName()

  The service name that this stub points to.

### wsdlLocation

    public String wsdlLocation()

  The wsdl location that this stub points to. If leave blank, the runtime will use the saved wsdl to instantiate the stub.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD